Download it now!
Bug 104703 - FILEOPEN: Wrong Position of MS .docx Chart Object on Import
Summary: FILEOPEN: Wrong Position of MS .docx Chart Object on Import
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2016-12-15 20:32 UTC by Luke
Modified: 2020-01-10 12:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO Writer 2010 and LibreOffice 5.4 (36.64 KB, image/png)
2016-12-16 13:14 UTC, Xisco Faulí
Details
ItSeemsToBeFixedIn6.5 (130.90 KB, image/png)
2020-01-10 12:31 UTC, Attila Bakos (NISZ)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2016-12-15 20:32:06 UTC
This is a follow-up to Bug 82824. With that fixed, we now correctly import anchor settings for charts, but many position types are not properly handled. For example the picture in attachment 128970 [details] and the chart in attachment 115322 [details] have the same position settings. But only the picture is correctly imported.

The correct value is 
Horiz: From left by 3.45” to Paragraph area
Vert: From top by 0.24” to Margin

The value imported is
Horiz: From left by 0.0” to Paragraph area
Vert: From top by 0.0” to Margin

So only the values need to be correctly populated.
Comment 1 Xisco Faulí 2016-12-16 13:14:29 UTC
Confirmed in

-  Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2016-12-16 13:14:45 UTC
Created attachment 129693 [details]
comparison MSO Writer 2010 and LibreOffice 5.4
Comment 3 QA Administrators 2018-06-26 02:42:29 UTC Comment hidden (obsolete)
Comment 4 Cor Nouws 2019-01-03 10:25:05 UTC
still the same (more or less) in Version: 6.3.0.0.alpha0+
Build ID: 082144fa0fb2021cfb41494bb6eb5bf417e58ab1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-31_03:11:43
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded

Looks similar to attachment in comment 2, but the legend is now closer to the chart, on the same line as '2014', partially covering that
Comment 5 Attila Bakos (NISZ) 2020-01-10 12:31:34 UTC
Created attachment 157061 [details]
ItSeemsToBeFixedIn6.5
Comment 6 Xisco Faulí 2020-01-10 12:43:01 UTC
Issue fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=d9c535ead688e9f156dbcf43948df08a69e218be

@Bakos, thanks for fixing this issue!!